Create or update a cluster
curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/clusters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "cluster",
"name": "<string>",
"environment_names": [
"<string>"
],
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"base_domains": [
"<string>"
],
"monitoring": {
"loki_url": "<string>",
"victoria_logs_url": "<string>",
"prometheus_url": "<string>",
"kubecost_url": "<string>"
},
"default_registry_fqn": "<string>",
"workbench_config": {
"default_storage_class": "<string>"
},
"cluster_integration_fqn": "<string>",
"workflow_storage_integration_fqn": "<string>",
"supported_nodepools": [
{
"name": "<string>",
"description": "<string>"
}
]
},
"dryRun": false
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/clusters"
payload = {
"manifest": {
"type": "cluster",
"name": "<string>",
"environment_names": ["<string>"],
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"base_domains": ["<string>"],
"monitoring": {
"loki_url": "<string>",
"victoria_logs_url": "<string>",
"prometheus_url": "<string>",
"kubecost_url": "<string>"
},
"default_registry_fqn": "<string>",
"workbench_config": { "default_storage_class": "<string>" },
"cluster_integration_fqn": "<string>",
"workflow_storage_integration_fqn": "<string>",
"supported_nodepools": [
{
"name": "<string>",
"description": "<string>"
}
]
},
"dryRun": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
manifest: {
type: 'cluster',
name: '<string>',
environment_names: ['<string>'],
collaborators: [{subject: '<string>', role_id: '<string>'}],
base_domains: ['<string>'],
monitoring: {
loki_url: '<string>',
victoria_logs_url: '<string>',
prometheus_url: '<string>',
kubecost_url: '<string>'
},
default_registry_fqn: '<string>',
workbench_config: {default_storage_class: '<string>'},
cluster_integration_fqn: '<string>',
workflow_storage_integration_fqn: '<string>',
supported_nodepools: [{name: '<string>', description: '<string>'}]
},
dryRun: false
})
};
fetch('https://{controlPlaneURL}/api/svc/v1/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "jqfwg345gi25n5ju2yz5iz6m",
"fqn": "<string>",
"manifest": {
"type": "cluster",
"name": "<string>",
"environment_names": [
"<string>"
],
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"base_domains": [
"<string>"
],
"monitoring": {
"loki_url": "<string>",
"victoria_logs_url": "<string>",
"prometheus_url": "<string>",
"kubecost_url": "<string>"
},
"default_registry_fqn": "<string>",
"workbench_config": {
"notebook_config": {
"base_domain": "<string>"
},
"ssh_server_config": {
"base_domain": "<string>",
"port": 123
},
"default_storage_class": "<string>"
},
"spark_config": {
"ui_base_domain": "<string>"
},
"ingress_controller_config": {
"ingress_class_name": "nginx",
"tls_enabled": false
},
"cluster_integration_fqn": "<string>",
"workflow_storage_integration_fqn": "<string>",
"supported_nodepools": [
{
"name": "<string>",
"description": "<string>"
}
],
"node_label_keys": {
"nodepool_selector_label": "<string>"
},
"ownedBy": {
"account": "<string>"
}
},
"tenantName": "<string>",
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdBy": "<string>"
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Clusters
Create or update a cluster
Create a new cluster or update an existing one using the provided ClusterManifest. Matching is by name — if a cluster with the same name exists it is updated, otherwise a new one is created.
PUT
/
api
/
svc
/
v1
/
clusters
Create or update a cluster
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
The created or updated cluster.
The cluster object.
Show child attributes
Show child attributes
Was this page helpful?
⌘I